%global commit          a59fd76dd730432c76b12ee6347ea66567107ab9
%global snapshotdate    20170219
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel 5

Name:       webkit2-sharp
Version:    0
Release:    %mkrel %{?snapshotdate:0.%{snapshotdate}git%{shortcommit}.}%{rel}
Summary:    C# bindings for WebKit 2 with GTK+ 3
Group:      Development/C#
License:    MIT
URL:        https://github.com/hbons/%{name}
%{?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{shortcommit}.tar.gz}
%{!?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{version}.tar.gz}

Patch0:     %{name}-a59fd76-fix_libdir.patch

Requires:       webkit2
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(gapi-3.0)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  atk-sharp3
BuildRequires:  cairo-sharp3
BuildRequires:  pango-sharp3
BuildRequires:  xsltproc
BuildRequires:  dos2unix
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext

ExclusiveArch:  %mono_arches

#https://fedoraproject.org/wiki/Packaging:Mono#Empty_debuginfo
%global debug_package %{nil}

%description
C# bindings for WebKit 2 with GTK+ 3


%package devel
Summary:    Development files for WebKit2-sharp
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Development files for WebKit2-sharp


%prep
%{?shortcommit:
%autosetup -n %{name}-%{commit}}
%{!?shortcommit:
%autosetup -n %{name}-%{version}}


%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's/\r$//' COPYING
# No parallel make, race condition with monodoc
make


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%license COPYING
%doc README.md
%{_prefix}/lib/mono/
%{_datadir}/gapi-3.0/webkit2-sharp-api.xml
%{_libdir}/libwebkit2sharpglue-2.10.9.so


%files devel
%{_libdir}/pkgconfig/webkit2-sharp-4.0.pc
%{_prefix}/lib/monodoc/sources/webkit2-sharp*


%changelog
* Mon Sep 21 2020 tv <tv> 0-0.20170219gita59fd76.5.mga8
+ Revision: 1629236
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0-0.20170219gita59fd76.4.mga8
+ Revision: 1629151
- add missing BRs
- rebuild for new mono

* Sat Feb 15 2020 umeabot <umeabot> 0-0.20170219gita59fd76.3.mga8
+ Revision: 1523223
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Feb 25 2019 wally <wally> 0-0.20170219gita59fd76.2.mga7
+ Revision: 1370162
- fix requires

* Mon Feb 25 2019 wally <wally> 0-0.20170219gita59fd76.1.mga7
+ Revision: 1370155
- mageiafy .spec
- imported package webkit2-sharp (from Fedora)

